Bug 167121 - xend will not start after upgrade to xen-2-20050823
xend will not start after upgrade to xen-2-20050823
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Rik van Riel
Depends On:
  Show dependency treegraph
Reported: 2005-08-30 12:15 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 14:56:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2005-08-30 12:15:41 EDT
Description of problem:
After rebooting to get the latest kernel and xen, xend will not start (which
makes xendomains fail).

# service xend restart
Exception connecting to xenstored: (2, 'No such file or directory')
Trying again...

Version-Release number of selected component (if applicable):
Comment 1 Steven Pritchard 2005-08-30 12:23:21 EDT
Quick workaround:

  mkdir /var/run/xenstored /var/lib/xenstored

I'm guessing those two directories need to go into xen.spec.
Comment 2 Steven Pritchard 2005-08-30 12:26:24 EDT
Next (minor) problem:

  # service xendomains start
  Starting auto Xen domains:/etc/init.d/xendomains: line 50: log_success_msg:
command not found
Comment 3 Steven Pritchard 2005-08-30 13:45:07 EDT
Something still isn't right.  xentop says

  7 domains: 1 running, 6 blocked, 0 paused, 0 crashed, 0 dying, 0 shutdown

Everything is "blocked", whatever that means.
Comment 4 Steven Pritchard 2005-08-30 14:23:58 EDT
Xen block devices seem to be at least somewhat broken.  I'm getting "xen_blk:
Timeout connecting to device!" on boot (and then a panic).

Linux version 2.6.12-1.1447_FC4xenU (bhcompile@decompose.build.redhat.com) (gcc
version 4.0.1 20050727 (Red Hat 4.0.1-5)) #1 SMP Fri Aug 26 21:25:28 EDT 2005
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000020000000 (usable)
512MB LOWMEM available.
Using x86 segment limits to approximate NX protection
DMI not present.
IRQ lockup detection disabled
Allocating PCI resources starting at 20000000 (gap: 20000000:e0000000)
Built 1 zonelists
Kernel command line:  root=/dev/rt/lv00 ro
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 65536 bytes)
Xen reported: 1790.823 MHz processor.
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
vmalloc area: e0800000-fbff5000, maxmem 34000000
Memory: 510592k/524288k available (1839k kernel code, 13420k reserved, 512k
data, 156k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... disabled
CPU0: AMD Athlon(tm) 64 Processor 3000+ stepping 00
Total of 1 processors activated (3578.26 BogoMIPS).
Brought up 1 CPUs
checking if image is initramfs... it is
Freeing initrd memory: 3374k freed
NET: Registered protocol family 16
store_evtchn = 2
xen_mem: Initialising balloon driver.
Grant table initialized
audit: initializing netlink socket (disabled)
audit(1125425867.164:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 1C1942C715575330
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
Xen virtual console successfully installed as tty1
Event-channel device installed.
xen_blk: Initialising virtual block device driver
xen_blk: Timeout connecting to device!
xen_net: Initialising virtual ethernet driver.
��md: md driver 0.90.1 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 2048 buckets, 32Kbytes
TCP established hash table entries: 131072 (order: 9, 2097152 bytes)
TCP bind hash table entries: 65536 (order: 7, 786432 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
Freeing unused kernel memory: 156k freed
  ** WARNING: Currently emulating unsupported memory accesses  **
  **          in /lib/tls libraries. The emulation is very     **
  **          slow. To ensure full performance you should      **
  **          execute the following as root:                   **
  **          mv /lib/tls /lib/tls.disabled                    **
  ** Offending process: init (pid=1)                           **

Red Hat nash version 4.2.15 starting
Mounted /proc filesystem
Mounting sysfs
Creating /dev
Starting udev
echo: cannot open /proc/sys/kernel/hotplug for write: 2
Loading dm-mod.ko module
device-mapper: 4.4.0-ioctl (2005-01-12) initialised: dm-devel@redhat.com
Loading dm-mirror.ko module
Loading dm-zero.ko module
Loading dm-snapshot.ko module
Making device-mapper control node
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  No volume groups found
Activating logical volumes
  Unable to find volume group "rt"
ERROR: /bin/lvm exited abnormally with value 5 ! (pid 25)
Creating root device
Mounting root filesystem
mount: error 6 mounting ext3
Switching to new root
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
unmounting old /proc
unmounting old /sys
switchroot: mount failed: 22
Kernel panic - not syncing: Attempted to kill init!
 [<c011f193>] panic+0x53/0x240
 [<c015fd7f>] unmap_vma_list+0x1f/0x30
 [<c0122886>] do_exit+0x386/0x410
 [<c01601e3>] do_munmap+0x113/0x150
 [<c01229da>] do_group_exit+0x8a/0xe0
 [<c016027a>] sys_munmap+0x5a/0x80
 [<c010a377>] syscall_call+0x7/0xb
Comment 5 Jon Dowland 2005-09-02 07:23:03 EDT
This problem occurs for me with kernel 2.6.12-1.1447_FC4xen0. The work around
listed (creating /var/run/xenstored and /var/lib/xenstored) appears to work for me.
Comment 6 Andrey 2005-09-12 21:09:02 EDT
after upgrade to xen-2-20050823:  
mkdir /var/run/xenstored /var/lib/xenstored 
service xend start 
Dom0 operation failed -- need to rebuild the user-space tool set? 
Exception starting xend: Objects/listobject.c:91: bad argument to internal 
Traceback (most recent call last): 
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvDaemon.py", line 
305, in run 
    servers = SrvServer.create() 
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvServer.py", line 
70, in create 
    root.putChild('xend', SrvRoot()) 
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvRoot.py", line 41, 
in __init__ 
  File "/usr/lib/python2.4/site-packages/xen/web/SrvDir.py", line 82, in get 
    val = val.getobj() 
  File "/usr/lib/python2.4/site-packages/xen/web/SrvDir.py", line 52, in 
    self.obj = klassobj() 
  File "/usr/lib/python2.4/site-packages/xen/xend/server/SrvDomainDir.py", 
line 38, in __init__ 
    self.xd = XendDomain.instance() 
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 770, in 
    inst = XendDomain() 
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 71, in 
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 111, in 
    doms = self.xen_domains() 
  File "/usr/lib/python2.4/site-packages/xen/xend/XendDomain.py", line 88, in 
    domlist = xc.domain_getinfo() 
SystemError: Objects/listobject.c:91: bad argument to internal function 
Comment 7 Rik van Riel 2005-09-12 21:50:50 EDT
Please try today's RPMS from http://people.redhat.com/riel/
Comment 8 Carl Brewer 2005-09-19 22:09:35 EDT
The rpms xen-3.0-0.20050912.fc4.i386.rpm etc work, thankyou

Will they get pushed out to the yum server?  Yesterday I was following the FC4
howto for installing xen, and the rpm's on the yum repository are the broken ones.

Note You need to log in before you can comment on or make changes to this bug.